Results 1 to 9 of 9

Thread: Im gettin PSP need some advice?

  
  1. #1
    hero is offline -Hacks Newbie
    Join Date
    Jan 2007
    Posts
    17
    Rep Power
    0

    Default

    hey guys wats up !

    im gettin a new PSP. im looking at 2.7 fw and under.
    just wondering wats ur advice?

    i hear that u can download movies/games. where can i find this links?

    thnx guys please help me out.


  2. #2
    cor3 is offline Senior Member -Hacks Guru
    Join Date
    Sep 2006
    Location
    Cleveland
    Posts
    1,889
    Rep Power
    14

    Default

    u can find all u need on this forum
    except the games/movies, but u can learn how to get them on ur psp

  3. #3
    hero is offline -Hacks Newbie
    Join Date
    Jan 2007
    Posts
    17
    Rep Power
    0

    Default

    Quote Originally Posted by cor3
    u can find all u need on this forum
    except the games/movies, but u can learn how to get them on ur psp
    yah im totally noob. i dont know if i should get brand new from walmart or futureshop/bestbuy. and i dont know if their firm ware is non downgradable.


    all i want to know if i down grade from 1.5 and some games need of new firm ware. is there any universal firmware or something i dont need to upgrade. i look around and read some stuff i find some topic confusing.

    i need to know. bcoz im goin to grab a psp. today.

  4. #4
    patricktm is offline -Hacks Neophyte
    Join Date
    Jan 2007
    Posts
    76
    Rep Power
    13

    Default

    you need to use the 3.03 OE firmware upgrading from 1.5, it is ok and easy to do it. you can search in this forum.

  5. #5
    sepreath is offline -Hacks Veteran
    Join Date
    Dec 2006
    Location
    4B 65 79 77 6F 72 74 68
    Posts
    1,105
    Rep Power
    14

    Default

    Help Section!

    I don\'t give a crap about your firmware history

  6. #6
    chinz is offline -Hacks Veteran
    Join Date
    Aug 2006
    Location
    moviebox
    Posts
    1,361
    Rep Power
    14

    Default

    Quote Originally Posted by patricktm
    you need to use the 3.03 OE firmware upgrading from 1.5, it is ok and easy to do it. you can search in this forum.
    or you could stay at 1.50, and use dev hook 0.46

  7. #7
    Huey is offline -Hacks Hacker
    Join Date
    Dec 2006
    Posts
    989
    Rep Power
    13

    Default

    dont upgrade as in the ones that you cant do shit with it

  8. #8
    eloder is offline -Hacks Veteran
    Join Date
    Sep 2006
    Posts
    1,417
    Rep Power
    14

    Default

    games/iso/psx games = google

    as for your fw, make sure to get a 1.5 or a 2.71 or below non TA-082

  9. #9
    ezza61 is offline -Hacks Member
    Join Date
    Dec 2006
    Location
    Melbourne, Australia
    Posts
    211
    Rep Power
    13

    Default

    Nowadays, a ta-082 is pretty much what ya gonna get...maybe ask them (the store) for some older stock around the back. And yes, you would want fw 2.71 or lower, but now having a ta-082 is fine with the invention of hen-d.

    My PsP: TA-082 3.10 OE-A\'
    \"Looking at cleavage is like looking at the sun, you dont stare at it, its too risky, you get a sense of it then you look away!\" - Jerry Sienfeld

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •